Loading...
Searching...
No Matches
msg_href_s Struct Reference

Header reference. More...

`#include <msg_mclass.h>`

## Data Fields

msg_hclass_t * | hr_class
| Header class.
unsigned short | hr_offset
| Offset within public message struct.
unsigned short | hr_flags
| Header flags.

## Detailed Description

Header reference.

A header reference object contains a pointer to a header class and a offset to the header objects within the publicmessage structure.

The hr_flags field is used to provide classification of headers. For instance, the msg_extract_errors() returns bitwise or of all hr_flags belonging to headers with parsing errors.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.